Namespace
arm64v8
Image / Tag
openjdk:21-ea-3-buster
Content Digest
sha256:9be4176a2ad3bbc8726b0eea619b5f7dca8a5a3680fa1e41d254d28058f93825
Details
Created

2022-12-23 00:40:59 UTC

Size

316 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-21

JAVA_VERSION

21-ea+3

LANG

C.UTF-8

PATH

/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ebd367421c805cd84d245a61615aeaa29bb9c2fdbdb111a373ee13b9934d9cf9 - 14.85% (47 MB)

[#001] sha256:4f2a650584f22c4b0b1ceb1f2afaa0462e3ae41ecb07c7cb82d338e99fc3a9e5 - 2.33% (7.37 MB)

[#002] sha256:1c4859d8b8d8b84e5f11d435628f9c17fbbf42bab8f1e960e9142d545c44a21c - 3.02% (9.54 MB)

[#003] sha256:9601af78fc4fcd830dac782c2beaea046f8ff4f93fe94827fc2b7d4c3f7c07c9 - 15.74% (49.8 MB)

[#004] sha256:0cd5eed612825420c40cb49f808e89b3c3dd558329b7ee490421041bb9485bdb - 4.43% (14 MB)

[#005] sha256:4433ac78c3a55080989f0e80a00865ff389eb073b13389cfdbfbbef8e1062e00 - 59.63% (189 MB)


History
2022-12-21 01:39:54 UTC

/bin/sh -c #(nop) ADD file:2129940567ffc1f6fc724b59b8ab1f337db54cd9164e50494822bcedd46d85c7 in /

2022-12-21 01:39:55 UTC

/bin/sh -c #(nop) CMD ["bash"]

2022-12-21 02:07:27 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*

2022-12-21 02:07:32 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2022-12-21 02:07:46 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2022-12-21 03:53:57 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils binutils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2022-12-21 03:53:57 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-21

2022-12-21 03:53:57 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2022-12-21 03:53:57 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2022-12-23 00:40:49 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=21-ea+3

2022-12-23 00:40:57 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk21/3/GPL/openjdk-21-ea+3_linux-x64_bin.tar.gz'; downloadSha256='21c02c2f76e385cca3ddd75d2913d3b6e16e4a1fa934fe038c0ab3c8c1184149'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk21/3/GPL/openjdk-21-ea+3_linux-aarch64_bin.tar.gz'; downloadSha256='84936b271d7997ca809075582a686eee89f8f37ac9252f33b8292260518000dd'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2022-12-23 00:40:59 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete